Package net.rubygrapefruit.platform

# Class NativeIntegrationUnavailableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
net.rubygrapefruit.platform.NativeException
net.rubygrapefruit.platform.NativeIntegrationUnavailableException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NativeIntegrationLinkageException`

public class NativeIntegrationUnavailableException extends NativeException
Thrown when a given integration is not available for the current machine.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NativeIntegrationUnavailableException(String message)`
`NativeIntegrationUnavailableException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NativeIntegrationUnavailableException

public NativeIntegrationUnavailableException(String message)

### NativeIntegrationUnavailableException

public NativeIntegrationUnavailableException(String message, Throwable cause)